Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155524 - xdelta fails on large files
Summary: xdelta fails on large files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xdelta
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 05:05 UTC by Oliver Paukstadt
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version: 1.1.3-17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-09 09:19:41 UTC


Attachments (Terms of Use)

Description Oliver Paukstadt 2005-04-21 05:05:11 UTC
Description of problem:
xdelta does not work with large files.

Version-Release number of selected component (if applicable):
xdelta-1.1.3-15

How reproducible:
# dd if=/dev/urandom of=f1 bs=1M seek=3000 count=1
1+0 Datensätze ein
1+0 Datensätze aus
# dd if=/dev/urandom of=f2 bs=1M seek=3000 count=1
1+0 Datensätze ein
1+0 Datensätze aus
# xdelta delta f1 f2 fd
xdelta: open f1 failed: File too large

Actual results:
xdelta fails

Expected results:
xdelta works

Additional info:
looks like a 2GB filesize Problem.

Comment 1 Jindrich Novy 2005-09-09 09:19:41 UTC
Fixed in rawhide. Updates for FC3/4 are coming soon.


Note You need to log in before you can comment on or make changes to this bug.